Databases
cancel
Showing results for 
Search instead for 
Did you mean: 

Compiling Oracle 8.0.6 executable on HP-UX 10.20 and running it on 11.

Rui Vilao
Regular Advisor

Compiling Oracle 8.0.6 executable on HP-UX 10.20 and running it on 11.

Greetings,


When building on HP-UX 10.20 an executable with Oracle 8.0.6 (statically
linked), I get the following error message from the linker:

> /usr/ccs/bin/ld: (Warning) At least one PA 2.0 object file (/opt/app/oracle/pr
oduct/8.0.6/lib/libnetwork.a(ntcontab.o)) was detected. The linked output may no
t run on a PA 1.x system.
> Made executable ../../obj/HP/top_query


The executable does not run on HP-UX 11.0:

> ksh: ./top_query: Executable file incompatible with hardware

> Please re-link the Oracle libraries in compatibility mode, so that the executa
bles run in both PA 1.x and 2.x architectures

Does anyone know how I can relink the Oracle libraries in compatibility mode
in order to avoid this problem?

Thanks in advance for your help!

Kind Regards,

Rui.
"We should never stop learning"_________ rui.vilao@rocketmail.com
5 REPLIES
Edward Sedgemore
Trusted Contributor

Re: Compiling Oracle 8.0.6 executable on HP-UX 10.20 and running it on 11.


use cc +DAportable when compiling.
Kenneth Platz
Esteemed Contributor

Re: Compiling Oracle 8.0.6 executable on HP-UX 10.20 and running it on 11.

Rui,

The error you are seeing has nothing to do with the OS revisions you are compiling the application on -- instead the problem is that you have compiled your application on a PA-2.0 system (ie, with a PA-8000 CPU or later) and are trying to execute it on a system with a PA-1.1 CPU.

Edward is correct -- you should add the +DAportable option to your list of C compiler options.

I hope this helps.
I think, therefore I am... I think!
Rui Vilao
Regular Advisor

Re: Compiling Oracle 8.0.6 executable on HP-UX 10.20 and running it on 11.

Edward and Kenneth,

Thanks a lot for your contribution.

I am already using this compilation flag when I compile my executable. The problem is that I am building the executables using static links and one object included in libnetwork.a
seems not to have been generated in compatibility mode...

I there a way to re-create libnetwork.a with a correct ntcontab.o?

TIA,

Kind Regards,

Rui.
"We should never stop learning"_________ rui.vilao@rocketmail.com
Edward Sedgemore
Trusted Contributor

Re: Compiling Oracle 8.0.6 executable on HP-UX 10.20 and running it on 11.


No, I dont think you will be able to recreate ntcontab.o on your 10.20 box. Oracle only provide the object files to enable you to relink - not the source to recompile.

I note that the oracle library libnetwork.a was compiled on 10.20 without the the +DAportable option, but the 11.0 version was! Therein lies your problem. So youre out of luck. Time to migrate your application to 11/8.0.6 and compile it there.
Rui Vilao
Regular Advisor

Re: Compiling Oracle 8.0.6 executable on HP-UX 10.20 and running it on 11.

Edward,

Thanks for your contribution.

The HP-UX 10.20 box is a K380 with four 1.0 PA7000 processor.
The HP-UX 11 box is a D230 one 1.1e PA7300 processor.

Does this mean that Oracle 8.0.6 for HP-UX 10.20 does not run properly on PA 1.x
architectures?

Kind Regards,

Rui.
"We should never stop learning"_________ rui.vilao@rocketmail.com